Description

Related issues:
Related to Robotics Systems Commons - Enhancement # 1215: Allow regular expre... Resolved 10/22/2012

Associated revisions
Revision 5592d080 - 10/23/2012 03:54 PM - J. Moringen

Optional regex queries in rsc::plugins::Manager::getPlugins()

fixes #1216

    -  CMakeLists.txt: added dependency on Boost.regex library
    -  src/rsc/plugins/Manager.{h,cpp}: changed getPlugins to optionally

  take a string or regex argument which is used to filter the set of
  returned plugins by name

History
#1 - 10/23/2012 03:36 AM - J. Moringen
- Status changed from New to In Progress
- Assignee set to J. Moringen

#2 - 10/23/2012 06:01 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset rsc|commit:5592d08053a0aad8fdf308527c9ff348e76e9b02.
